form {
    display: grid;
    grid-template-columns: minmax( 20rem, 30rem ) 1fr;
    grid-template-rows: auto;
    gap: 1rem;
    align-items: center;
}

form > label {
    display: block;
    text-align: right;
}

form > label > .required {
    font-size: 1rem;
    font-weight: bold;
    color: var( --color-red-light );
}

form > label > .description {
    font-size: 1rem;
    font-weight: bold;
    color: var( --color-cyan-light );
}

form > input,
form > textarea,
form > select {
    display: block;
    border: 1px solid var( --color-dark-light );
    background-color: var( --color-light );
    color: var( --color-dark-alpha );
    outline: none;
    padding: 1rem;
    font-size: 1.6rem;
    transition: background-color .3s ease-in-out,
                color .3s ease-in-out;
}

form > textarea {
    height: 20rem;
    resize: none;
    line-height: 150%;
}

form > input:focus,
form > textarea:focus,
form > select:focus {
    background-color: var( --color-white );
    color: var( --color-dark );
}

form > input[ type="submit" ] {
    width: fit-content;
    border-radius: 3px;
    cursor: pointer;
    grid-column: 1 / span 2;
    justify-self: center;
    padding: 1rem 2rem;
    color: var( --color-dark );
    transition: background-color .3s ease-in-out,
                color .3s ease-in-out;
}

form > input[ type="submit" ]:hover {
    background-color: var( --color-cyan-light );
    color: var( --color-light );
}

form > input[ type="checkbox" ] {
    width: fit-content;
}